import request from "@/scripts/httpRequest";

export const getApps = (query: any) => {
  return request({
    //url: "/apps.json",
    url: '/data/api-v/app/findAllApp',
    method: "get",
    params: query
  });
};

//获取应用中心商城待激活算法列表
export const getUnActivedSdk = () => {
  return request({
    url: "/data/api-v/sdk/buyList",
    method: "get"
  });
};

//激活页面算法
export const actPageAlg = (sdkId:String,code:String) => {
  return request({
    url: `/data/api-v/sdk/active?sdkId=${sdkId}&code=${code}`,
    method: "get",
  })
}

//获取商城所有应用(已激活)
export const findAllApp = () => request({
  url: '/data/api-v/app/findAllApp',
  method: 'get'
});

export const getAppDetail = (query:any) => request({
  url: '/data/api-v/app/detail',
  method: 'get',
  params: query
});

//安装应用
export const installApp = (query:any) => request({
  url: '/data/api-v/sdk/sdkDownload',
  method: 'get',
  params: query
});
//卸载应用
export const removeApp = (data:any)=> request({
  url: '/data/api-v/app/unInstall',
  method: 'post',
  data
});
//获取商城待激活的应用
export const getUnActivedApp = ()=> request({
  url:'/data/api-v/app/buyList',
  method: 'get'
});
//激活商城应用
export const actApp = (appId:String,code:String) => request({
  url:`/data/api-v/app/active?appId=${appId}&code=${code}`,
  method:'get'
});
